Retrieve Message Templates
To retrieve message templates, make a
Prerequisite
All API calls require authentication with
API_TOKEN Developers can authenticate their API calls with the API_TOKEN generated in App Dashboard > Phone Numbers > Detail > Api. Example
Sample request:
curl -X GET 'https://waofficial-rm.botika.online/api/whatsapp/v1/message-templates' \ -H 'Authorization: Bearer {{ API_TOKEN }}'
Query String Parameters
This is the query string that can be used in message template requests:
| Name | Description |
|---|---|
seacrh | Optional Parameter for searching the response from the request. type:
|
page | Optional Parameter for paging the response from the request. type:
|
A successful response includes an object with an identifier for the message templates:
{
"data": [
{
"id": {{ MESSAGE_TEMPLATE_ID }}
"name": "{{ MESSAGE_TEMPLATE_NAME }}",
"language": "{{ MESSAGE_TEMPLATE_LANGUAGE }}",
"status": "{{ MESSAGE_TEMPLATE_STATUS }}",
"components":[
{
"message template components"
}
],
"created_at" : "{{ MESSAGE_TEMPLATE_CREATED_AT }}"
}
],
"links": {
"first": "http://waofficial.botika.local/api/whatsapp/v1/message-templates?page=1",
"last": null,
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"path": "http://waofficial.botika.local/api/whatsapp/v1/message-templates",
"per_page": 10,
"to": 1
}
}